%define oname tornado

Name:           python-%{oname}
Version:        3.1
Release:        %mkrel 4
Summary:        Scalable, non-blocking web server and tools

Group:          Development/Python
License:        ASL 2.0
URL:            http://www.tornadoweb.org
Source0:        https://pypi.python.org/packages/source/t/%{oname}/%{oname}-%{version}.tar.gz
Patch0:         tornado-3.1-mga-change-match_hostname-to-follow-RFC-6125.patch
BuildArch:      noarch
BuildRequires:	pkgconfig(python)
Requires:       python-pycurl
Requires:       python-simplejson
BuildRequires:  python-tools
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools
BuildRequires:  pkgconfig(python3)

%description
Tornado is an open source version of the scalable, non-blocking web server and
and tools.

The framework is distinct from most mainstream web server frameworks (and
certainly most Python frameworks) because it is non-blocking and reasonably
fast. Because it is non-blocking and uses epoll, it can handle thousands of
simultaneous standing connections, which means it is ideal for real-time web
services.

%package doc
Summary:        Examples for python-tornado
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}

%description doc
Tornado is an open source version of the scalable, non-blocking web server and
and tools. This package contains some example applications.

%package -n python3-tornado
Summary:        Scalable, non-blocking web server and tools
Group:          Development/Python

%description -n python3-tornado
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.

%package -n python3-tornado-doc
Summary:        Examples for python-tornado
Group:          Development/Python
Requires:       python3-tornado = %{version}-%{release}

%description -n python3-tornado-doc
Tornado is an open source version of the scalable, non-blocking web
server and and tools. This package contains some example applications.

%prep 
%setup -q -n %{oname}-%{version}
%patch0 -p1

# remove shebang from files
%{__sed} -i.orig -e '/^#!\//, 1d' *py tornado/*.py tornado/*/*.py

# spurious permission fix
find demos/ -name "*.py" -exec chmod -x {} \;

# remove empty file
rm -rf demos/facebook/static/facebook.js

rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python} setup.py build

%install
pushd %{py3dir}
PATH=$PATH:%{buildroot}%{python3_sitelib}/%{oname}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd

PATH=$PATH:%{buildroot}%{python_sitelib}/%{oname}
%{__python} setup.py install --skip-build --root=%{buildroot}

%check
%{__python} -m unittest discover -s tornado/test -p *test.py || :

pushd %{py3dir}
%{__python3} -m unittest discover -s tornado/test -p *test.py || :
popd

%files
%doc README.rst PKG-INFO
%{python_sitelib}/%{oname}/
%{python_sitelib}/%{oname}-%{version}-py%{py_ver}.egg-info/

%files doc
%defattr(-,root,root,-)
%doc demos

%files -n python3-tornado
%doc README.rst PKG-INFO
%{python3_sitelib}/%{oname}/
%{python3_sitelib}/%{oname}-%{version}-*.egg-info

%files -n python3-tornado-doc
%doc demos



%changelog
* Sat Nov 30 2013 philippem <philippem> 3.1-4.mga4
+ Revision: 554151
- change-match_hostname-to-follow-RFC-6125 (mga#11785)

* Tue Oct 22 2013 umeabot <umeabot> 3.1-3.mga4
+ Revision: 544350
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.1-2.mga4
+ Revision: 499568
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 05 2013 philippem <philippem> 3.1-1.mga4
+ Revision: 450335
- Update to 3.1, add Python 3

* Fri Jun 07 2013 philippem <philippem> 2.3-2.1.mga4
+ Revision: 440324
- fix CVE-2013-2099 (ssl.match_hostname DOS)

* Sun Jan 13 2013 umeabot <umeabot> 2.3-2.mga3
+ Revision: 379574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 wally <wally> 2.3-1.mga3
+ Revision: 258360
- new version 2.3

* Mon Dec 19 2011 lebedov <lebedov> 2.1.1-2.mga2
+ Revision: 184420
- imported package python-tornado

